package com.inkasso.factoring.creditmanagement.dao;

import com.inkasso.factoring.creditmanagement.entity.Enterprise;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 企业信息 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
public interface EnterpriseMapper extends BaseMapper<Enterprise> {

    List<Enterprise> findSupplierInfo( @Param("sysUserId") Long sysUserId);

    List<Enterprise> findEnterpriseInfo( @Param("cSupplierId") Long cSupplierId);

    String getWebAddress(String keyword);
}
